import pygame as pg


class Book:  # Окно с необходимой информацией
    @staticmethod
    def info(screen, event):
        pg.draw.rect(screen, (38, 33, 55), (85, 0, 520, 500))
        pg.draw.rect(screen, (255, 255, 255), (100, 90, 495, 280), 1)
        texts = ['День ***', 'Сегодня произошло следующее:', f"{event['name']}\n{event['description']}"]
        sizes = [60, 30, 30]
        coords = [(260, 30), (110, 100), (110, 150)]
        for i in range(len(texts)):
            font = pg.font.Font(None, sizes[i])
            text = font.render(texts[i], True, (255, 255, 255))
            screen.blit(text, coords[i])

        frogs = [('Квакуша', [100, 100]),
                 ('Квакша', [100, 100]),
                 ('Квак', [100, 100]),
                 ('Ква', [100, 100]),
                 ('Кваква', [100, 100]),
                 ('Джабба-хатт', [100, 100]),
                 ('Квендальф', [100, 100]),
                 ('Лягуша', [100, 100]),
                 ('Жаба', [100, 100]),
                 ('Абажаю', [100, 100]),
                 ('Пучеглазый', [100, 100]),
                 ('Вафля', [100, 100])]  # Имя лягушки со здоровьем и сытостью (как пример)

        font = pg.font.Font(None, 15)  # Здесь будет указана информация о некоторых лягушках
        for col in range(4):
            for row in range(3):
                pg.draw.rect(screen, (255, 255, 255), (100 + 120 * col, 375 + 40 * row, 35, 35),
                             1)  # Рамка с портретом лягушки
                if col == 0:
                    i = row
                elif col == 1:
                    i = row + 3
                elif col == 2:
                    i = row + 6
                else:
                    i = row + 9
                text = font.render(f'{frogs[i][0]} - ', True, (255, 255, 255))
                screen.blit(text, (140 + 120 * col, 375 + 40 * row))
                text = font.render(f'{frogs[i][-1][0]}% зд.,', True, (255, 255, 255))
                screen.blit(text, (140 + 120 * col, 385 + 40 * row))
                text = font.render(f'{frogs[i][-1][1]}% сыт.', True, (255, 255, 255))
                screen.blit(text, (140 + 120 * col, 395 + 40 * row))
